# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "hexy-core"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core library for hex-file parsing, transforms, and export."
readme = false
keywords = [
    "hex",
    "intel-hex",
    "srec",
    "firmware",
]
license = "MIT"
repository = "https://github.com/tomrford/hexy"
resolver = "2"

[lib]
name = "hexy_core"
path = "src/lib.rs"

[[test]]
name = "hexview_multistage"
path = "tests/hexview_multistage.rs"

[[test]]
name = "hexview_ranges"
path = "tests/hexview_ranges.rs"

[[test]]
name = "operations"
path = "tests/operations.rs"

[[test]]
name = "signature"
path = "tests/signature.rs"

[dependencies.crc]
version = "3.4.0"

[dependencies.ed25519-dalek]
version = "2.1.1"
features = [
    "digest",
    "pem",
    "pkcs8",
]

[dependencies.md-5]
version = "0.10.6"

[dependencies.ripemd]
version = "0.1.3"

[dependencies.rsa]
version = "0.9.8"
features = [
    "getrandom",
    "sha2",
]

[dependencies.sha1]
version = "0.10.6"

[dependencies.sha2]
version = "0.10.9"

[dependencies.thiserror]
version = "2.0.17"

[dependencies.x509-cert]
version = "0.2.5"
